import React from 'react';
import ReactDOM from 'react-dom';
import { Smile } from './Smile';
import { Eyes } from './Eyes';
 
const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 5;
const eyeOffsetX = 70;
const eyeOffsetY = 90;
const eyeRadius = 30;
const mouthWidth = 20;
const mouthRadius = 140;
const currentcolor = "green";


const App = () => (
  <svg width={width} height={height}>
    
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="red"
        stroke="black"
        stroke-width={strokeWidth}
      />
      
      
    </g>
    <g transform = "translate(300 -230) rotate(0) scale(1.3)" >
         <Eyes></Eyes>
      </g>
    
    	<g transform = "translate(240 0) rotate(-3) scale(1.5)" >
         <Smile></Smile>
      </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);